package com.ejie.ab04b.webservice.client.documentowebservice;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;

/**
 * <p>
 * Java class for definicionPie complex type.
 * 
 * <p>
 * The following schema fragment specifies the expected content contained within
 * this class.
 * 
 * <pre>
 * &lt;complexType name="definicionPie">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="tam" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="text1" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="text2" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="text3" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * @author GFI-NORTE
 * 
 */
@XmlAccessorType(value = XmlAccessType.FIELD)
@XmlType(namespace = "definicionPie", propOrder = { "tam", "text1", "text2",
		"text3" })
public class DefinicionPie {

	private Integer tam;
	private String text1;
	private String text2;
	private String text3;

	/**
	 * Instantiates a new definicion pie.
	 */
	public DefinicionPie() {
		super();
	}

	/**
	 * Instantiates a new definicion pie.
	 *
	 * @param text1            String
	 * @param text2            String
	 * @param text3            String
	 * @param tam            Integer
	 */
	public DefinicionPie(String text1, String text2, String text3,
			Integer tam) {
		super();
		this.tam = tam;
		this.text1 = text1;
		this.text2 = text2;
		this.text3 = text3;
	}

	/**
	 * Gets the value of the tam property.
	 * 
	 * @return possible object is {@link Integer }
	 * 
	 */
	public Integer getTam() {
		return tam;
	}

	/**
	 * Sets the value of the tam property.
	 * 
	 * @param value
	 *            allowed object is {@link Integer }
	 * 
	 */
	public void setTam(Integer value) {
		this.tam = value;
	}

	/**
	 * Gets the value of the text1 property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getText1() {
		return text1;
	}

	/**
	 * Sets the value of the text1 property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setText1(String value) {
		this.text1 = value;
	}

	/**
	 * Gets the value of the text2 property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getText2() {
		return text2;
	}

	/**
	 * Sets the value of the text2 property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setText2(String value) {
		this.text2 = value;
	}

	/**
	 * Gets the value of the text3 property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getText3() {
		return text3;
	}

	/**
	 * Sets the value of the text3 property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setText3(String value) {
		this.text3 = value;
	}

}
